System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BehaviorExtensionElement

If you set the property to true programmatically, you can enable the flow of managed exception information in a client callback object back to the service for debugging purposes.

Returning managed exception information to clients can be a security risk. This is because exception details expose information about the internal service implementation that could be used by unauthorized clients.

Represents a configuration element that specifies service-side debugging for a Windows Communication Foundation (WCF) callback object. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this behavior element.

- Method
  4.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("includeExceptionDetailInFaults", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added. To be added.

  Gets or sets a value that specifies whether client callback objects return managed exception information in SOAP faults back to the service.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.